Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2759073002: MD Webui: Improve accessibility of toolbar search field (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by tsergeant
Modified:
1 month ago
Reviewers:
dpapad
CC:
chrome-apps-syd-reviews_chromium.org, chromium-reviews, dbeam+watch-elements_chromium.org, michaelpg+watch-elements_chromium.org, oshima+watch_chromium.org, stevenjb+watch-md-settings_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

MD Webui: Improve accessibility of toolbar search field This hides the static label text from screen readers, and similarly hides the search icon button when the toolbar is in wide mode and the button is purely decorative. The result is that screen readers moving through the toolbar will go straight to the search field, rather than needing to move through two redundant search-related elements. BUG=626877 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2759073002 Cr-Commit-Position: refs/heads/master@{#458293} Committed: https://chromium.googlesource.com/chromium/src/+/16b08645940137900070a7c93cbb489526e63f4b

Patch Set 1 #

Total comments: 4

Patch Set 2 : Use toString #

Messages

Total messages: 19 (12 generated)
tsergeant
PTAL!
1 month, 1 week ago (2017-03-20 03:59:03 UTC) #3
dpapad
LGTM with question. https://codereview.chromium.org/2759073002/diff/1/ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_search_field.html File ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_search_field.html (right): https://codereview.chromium.org/2759073002/diff/1/ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_search_field.html#newcode138 ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_search_field.html:138: aria-hidden$="[[computeIconAriaHidden_(narrow)]]"> Is the function call necessary? ...
1 month, 1 week ago (2017-03-20 18:07:18 UTC) #8
tsergeant
https://codereview.chromium.org/2759073002/diff/1/ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_search_field.html File ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_search_field.html (right): https://codereview.chromium.org/2759073002/diff/1/ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_search_field.html#newcode138 ui/webui/resources/cr_elements/cr_toolbar/cr_toolbar_search_field.html:138: aria-hidden$="[[computeIconAriaHidden_(narrow)]]"> On 2017/03/20 18:07:18, dpapad wrote: > Is the ...
1 month ago (2017-03-20 23:22:02 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759073002/20001
1 month ago (2017-03-20 23:23:35 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/253947)
1 month ago (2017-03-21 00:57:35 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759073002/20001
1 month ago (2017-03-21 01:51:49 UTC) #16
commit-bot: I haz the power
1 month ago (2017-03-21 03:22:36 UTC) #19
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/16b08645940137900070a7c93cbb...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46